#ifndef _MY_STUFF_H_INCLUDED
#define _MY_STUFF_H_INCLUDED

#include "DallasTemperature/DallasTemperature.h"
#include "OneWire/OneWire.h"
#include "display/display.h"
#include "controller/controller.h"
#include "faults/faults.h"
#include "types.h"
#include "macros.h"

extern const uint8_t BTN_PWR;

extern void getParams();
extern void setParams(Parameters&, bool writeModbusRegister);
extern void getModbusParams();
extern void setModbusParams(const ModbusParameters&);
extern void getPSensor();
extern void setPSensor(const PSensor&);
extern void getFaultSettings();
extern void setFaultSettings(const FaultSettings&, bool writeModbusRegister);
extern bool readPwrBtn();

#if _MODBUS == 1
extern u16 modbusData[];
extern u16 modbusDelAlarms[];

extern u16 &eventCounter;
extern u16 &refTime;

extern void checkModbusParams();
extern void setupModbus(const u16&);
extern void beginModbus();
extern void modbusCallbackCoil(u16 reg, bool val);
extern u16 modbusCallbackRegister(u16 reg, u16 val);
#endif // _MODBUS

#endif // _MY_STUFF_H_INCLUDED
